import React, { useEffect, useState } from 'react';
import Component, { canUseDOM } from '@nebohq/nebo';
import directory from '[CONFIG_FILE]';

const NoFlicker = ({ children }) => {
  const [canRender, setCanRender] = useState(canUseDOM);

  useEffect(() => {
    setCanRender(true);
  }, []);

  return canRender ? (<>{children}</>) : (<div style={{ display: 'none' }}>{children}</div>);
};

const NeboPage = ({ pageContext }) => {
  const { page, schemas } = pageContext;
  if (!canUseDOM) directory.schemas = schemas;

  return (
    <NoFlicker>
      <Component slug={page.slug} />
    </NoFlicker>
  );
};

export default NeboPage;
